Bug 218351 - creating ro lvm volumes cause "failed write" errors
creating ro lvm volumes cause "failed write" errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 15:11 EST by Corey Marthaler
Modified: 2013-02-28 23:04 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-12-04 15:11:11 EST
Description of problem:
We should do something about failure messages when creating ro volumes. 

[root@link-08 tmp]# lvcreate -L 10G -p r corey
  /dev/corey/lvol0: write failed after 0 of 4096 at 0: Operation not permitted
  Logical volume "lvol0" created


Version-Release number of selected component (if applicable):
[root@link-08 tmp]# rpm -q lvm2
lvm2-2.02.16-1
[root@link-08 tmp]# rpm -q device-mapper
device-mapper-1.02.13-1
Comment 1 Alasdair Kergon 2006-12-06 15:26:13 EST
For a normal LV with -Zy (the default), the code should probably activate rw,
wipe, reactivate ro.

For a snapshot, current code doesn't give the error, so likely not to need changing.
Comment 2 Milan Broz 2007-01-10 09:19:55 EST
Fixed upstream, correct warning is printed if read only flag set.
(Same problem in lvconvert - fixed too.)
Comment 3 Corey Marthaler 2007-01-18 17:59:37 EST
Fix verified in lvm2-2.02.19-1.el4.

[root@link-08 bin]# lvcreate -L 10G -p r vg
  WARNING: "lvol0" not zeroed
  Logical volume "lvol0" created
Comment 7 Red Hat Bugzilla 2007-05-07 20:13:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.